Package org.eclipse.net4j.util.ui

## Class DelegatingContentProvider

- java.lang.Object
- - org.eclipse.net4j.util.ui.DelegatingContentProvider

- All Implemented Interfaces:
    `IContentProvider`, `IStructuredContentProvider`

      public class DelegatingContentProvider
      extends java.lang.Object
      implements IStructuredContentProvider

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NONE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingContentProvider​(IStructuredContentProvider delegate)` |
    `DelegatingContentProvider​(IStructuredContentProvider delegate, boolean optional)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `IStructuredContentProvider` | `getDelegate()` |
    `java.lang.Object[]` | `getElements​(java.lang.Object inputElement)` |
    `void` | `inputChanged​(Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)` |
    `boolean` | `isOptional()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final java.lang.String NONE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DelegatingContentProvider

          public DelegatingContentProvider​(IStructuredContentProvider delegate,
                                           boolean optional)

    - #### DelegatingContentProvider

          public DelegatingContentProvider​(IStructuredContentProvider delegate)

  - ### Method Detail

    - #### getDelegate

          public IStructuredContentProvider getDelegate()

    - #### isOptional

          public boolean isOptional()

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `IContentProvider`

    - #### getElements

          public java.lang.Object[] getElements​(java.lang.Object inputElement)

      Specified by:
        `getElements` in interface `IStructuredContentProvider`

    - #### inputChanged

          public void inputChanged​(Viewer viewer,
                                   java.lang.Object oldInput,
                                   java.lang.Object newInput)

      Specified by:
        `inputChanged` in interface `IContentProvider`